<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# meta

	$title = 'Настройки » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Настройки';
	
	# adm

	system::adm();

	# post

	if (isset($_POST['CFMS'])): 

	$title  	  = system::check($_POST['title']);	
	$keywords 	  = system::check($_POST['keywords']);	
	$description  = system::check($_POST['description']);
	$pf_max  	  = system::abs($_POST['pf_max']);	
	$pf_mod  	  = system::abs($_POST['pf_mod']);
	$reg  	  	  = system::abs($_POST['reg']);	
	$error  	  = system::abs($_POST['error']);
	$CK  		  = system::check($_POST['CK']);
	
	if (system::utf_strlen($title) > 5 && system::utf_strlen($title)	< 101):
	if (system::utf_strlen($keywords) > 5 && system::utf_strlen($keywords)	< 101):	
	if (system::utf_strlen($description) > 5 && system::utf_strlen($description)  < 101):
	if (system::utf_strlen($pf_max)  < 12):	
	if ($reg == 0 || $reg == 1):	
	if ($pf_mod == 0 || $pf_mod == 1):
	if ($error == 0 || $error == 1):	
	if ($user['CK'] == $CK):	
		
	DB :: $dbh -> query("UPDATE config SET title = ?, keywords = ?, description = ?, pf_max = ?, reg = ? , pf_mod = ? , error = ? WHERE id = ? LIMIT 1;", array($title,$keywords,$description,$pf_max,$reg,$pf_mod,$error,1));		

	cache_config::save();

	system::header('?','Успешно',1);
		
	# error
	
	else: system::header('?','Ошибка, возможно вам подкинули эту ссылку'); endif;
	else: system::header('?','Ошибка, не верно выбран параметр показ ошибок'); endif;
	else: system::header('?','Ошибка, не верно выбран параметр модерация сайтов'); endif;
	else: system::header('?','Ошибка, не верно выбран параметр регистрация'); endif;
	else: system::header('?','Количество сайтов от 5 до 11 символов'); endif;
	else: system::header('?','Description от 5 до 100 символов'); endif;
	else: system::header('?','Keywords от 5 до 100 символов'); endif;
	else: system::header('?','Title от 5 до 100 символов'); endif;

	endif;	

	# head

	require_once ( head );

	echo '
	<div class="touch">
	<form method="post">
	<input type="hidden" name="CK" value="'.$user['CK'].'">
	Title<br><input type="text" class="input" name="title" maxlength="100" value="'.$config['title'].'">
	<br>Keywords<br><input type="text" class="input" name="keywords" maxlength="100" value="'.$config['keywords'].'">
	<br>Description<br><input type="text" class="input" name="description" maxlength="100" value="'.$config['description'].'">
	<br>Количество сайтов users:<br><input type="text" class="input" name="pf_max" maxlength="11" value="'.$config['pf_max'].'">
	<br>Модерация сайтов:<br>
	<input type="radio" name="pf_mod" value="0" '.($config['pf_mod'] == 0 ? 'checked="checked"':null).'> Выключена <br>
	<input type="radio" name="pf_mod" value="1" '.($config['pf_mod'] == 1 ? 'checked="checked"':null).'> Включена
	<br>Регистрация:<br>
	<input type="radio" name="reg" value="1" '.($config['reg'] == 1 ? 'checked="checked"':null).'> Выключена <br>
	<input type="radio" name="reg" value="0" '.($config['reg'] == 0 ? 'checked="checked"':null).'> Включена 
	<br>Показ ошибок:<br>
	<input type="radio" name="error" value="0" '.($config['error'] == 0 ? 'checked="checked"':null).'> Выключен <br>
	<input type="radio" name="error" value="1" '.($config['error'] == 1 ? 'checked="checked"':null).'> Включен
	<input name="CFMS" type="submit" value="Сохранить">
	</form>
	</div>
	<a href="'.site.'admin" class="touch">« Назад</a>
	';

	# foot

	require_once ( foot ) ;
?>